import java.util.Scanner;

public class TestSalariedEmployee {
	public static void main(String[] args) {
		SalariedEmployee salEmp1 = new SalariedEmployee("Ortrera", 001, 1000.00);
		assert salEmp1.getName().equals("Ortrera");
		assert salEmp1.getID() == 001;
		assert salEmp1.getSalary() == 1000.00;
		assert salEmp1.getPay() == 1000.00;
		
		System.out.print("Enter a salaried employee: ");
		Scanner keyboard = new Scanner(System.in);
		SalariedEmployee salEmp2 = new SalariedEmployee();
		salEmp2.read(keyboard);
		System.out.print(salEmp2);
	}

}
